Fullstack Java Web Developer -NL- **`VIJAYAN ANNAMALAI`[NAME]** -NL- (Master of Computer Application) -NL- **`loginvijayan@gmail.com`[EMAILS_EMAIL]** -NL- +91 - XXXXXXXXXX -NL- #20A, 2nd Main Street, Lakshmi Nagar, -NL- Velachery, Chennai-600042. Tamilnadu | India -NL- +11 -NL- 11/2012 – to Date -NL- +7 -NL- Symantec Software & Services India -NL- Pvt Ltd, Chennai, India -NL- Princ. **`Software Engineer`[EMPLOYER_ROLE]** (Permanent) -NL- 05/2010 – 10/2012 -NL- +2.5 -NL- **`HCL Technologies Ltd`[EMPLOYER_COMPANY_NAME]**, Chennai, India -NL- **`Member Technical Staff`[EMPLOYER_ROLE]** (Permanent) -NL- 05/2009 - 04/2010 -NL- +1 -NL- **`Technify`[EMPLOYER_COMPANY_NAME]**, Chennai, India -NL- **`Software Developer`[EMPLOYER_ROLE]** (Permanent) -NL- **`Professional Skills`[SKILLS_HEADING]** -NL- Software Development -NL- Requirement Analysis -NL- Designing/Modeling -NL- Delivering/Maintenance -NL- Product Ownership -NL- Agile/Scrum Process -NL- Leading/Guiding Team -NL- **`Domain Skills`[SKILLS_HEADING]** -NL- Web Security -NL- Cloud -NL- Finance -NL- Semi-Conductor -NL- Big Data -NL- **`Technical Skills`[SKILLS_HEADING]** -NL- Java/J2ee Application -NL- Web Application -NL- Angular Js Application -NL- Database Modeling -NL- Software Integration -NL- Hosting Cloud Software -NL- Security/Vulnerability -NL- SSO/CAS -NL- CI/CD -NL- 1 -NL- Fullstack Java Web Developer -NL- **`Skill Set`[SKILLS_HEADING]** -NL- Operating System : Windows, Dos, Linux, UNIX. -NL- Language : Java/J2ee, Php -NL- Web Design : Html, Bootstrap, Less, Sass -NL- Script : Ajax, JQuery, Angular Js, RxJS, Action Script 3 -NL- Web Services : Rest (Jersey, Spring, Yii), Soap (Apache CFX) -NL- Web Framework : Struts/Tiles, Spring, Spring Boot, Flex Cairngorm, Yii (Php) -NL- Message Bus : Active Mq, Rabbit Mq -NL- Integration Framework : Apache Camel -NL- Cache : Memcache, Redis -NL- Report : Velocity, Jasper Report -NL- Test : JUnit, TestNG, Mockito, Jasmine, Protractor -NL- Vulnerability : Coverity, Fortify -NL- Code Coverage : Jacoco, Cobertura, Karma -NL- Persistence : Hibernate -NL- Database : MySQL, Oracle (PL/SQL), SQLite, NoSql, Hadoop -NL- IDE Tools : Eclipse, IntelliJ, Flex Builde 3 -NL- Build Tools : Ant, Maven, NPM, Yarn, Rpm -NL- CI/CD Tools : Sonarqube, Jenkins, Puppet , Terraform -NL- Server : Apache Httpd, Tomcat, NodeJs, JBoss. -NL- Accounting : QuickBooks -NL- Mobile : Android, Hybrid App (Ionic) -NL- Miscellaneous : Apache Mina NIO, Mina-State Machine, BlaseDS(Hessian), -NL- QBXml, Dom, Sax, Log4J, SLF4J Jfreechart, JavaMail, Apache -NL- Quartz, CPanel, iText. -NL- **`Work Experience`[WORK_EXPERIENCE_HEADING]** -NL- 11/2012 – to Date **`Symantec Software & Services India Pvt Ltd`[EMPLOYER_COMPANY_NAME]**, Chennai, India -NL- Princ. **`Software Engineer`[EMPLOYER_ROLE]** (Permanent) -NL- Norton Online Family: An online service that helps parents to -NL- monitor and supervise the Internet activities of their children, from -NL- anywhere, in real time. Thereby, it helps parents to protect their -NL- children from Internet dangers and lets children practice safe online -NL- behavior and develop good online habits. -NL- Role: Java-J2ee Application Developer -NL-  Development of new features and addressing customer issues. -NL-  Exposing of Restful (Jersey/Spring) service for accessing -NL- from Android, iPhone and Windows device rules enforcer -NL- application. -NL-  Implementation of responsive UX in Angular Js. -NL-  Implementation of Unit/Integration/Automation test cases for -NL- new features. -NL-  Development of RPM builds script for Unix/Linux. -NL-  Setting up of CI/CD for private/public cloud. -NL-  Development of Web application securities for vulnerabilities. -NL- 2 -NL- Fullstack Java Web Developer -NL-  Technologies worked Angular Js, Spring, Hibernate, Restful -NL- Webservice, Memcache/Redis, SSO, Velocity, Spring Boot, -NL-  RabbitMq, Oracle, L10N, Apache Httpd and Tomcat. -NL- Norton Anti-Theft: A service that helps the user quickly lock and -NL- find your PC laptop, MacBook, tablet or smartphone - and protect -NL- the invaluable information contained on it - if it's ever lost or -NL- stolen. And you can use any browser, anywhere, anytime to find -NL- out where it is and who has it and to remotely lock it. -NL- Role: Java-J2ee Application Developer -NL-  Development of new features and addressing the customer -NL- issues. -NL-  Independent development support of large scale backend -NL- service. -NL-  End-Of-Life production support, such as exposing tools for -NL- customer support, streamlines the features, production releases. -NL- Connect Safe: A service that defends the network against unsafe or -NL- undesirable Web sites. It is cloud-based secured service and does -NL- not require any software or hardware installation to enable the -NL- service at the router level to protect an entire network or hotspot. -NL- All it requires to create an URL category policy for customer needs -NL- and map the allocated DNS-Resolver. -NL- Role: Java-J2ee Application Developer -NL-  Implementation of user authentication support using Norton -NL- could authentication system Norton-SSO. -NL-  Collaborate with designers to create clean interfaces and -NL- simple, intuitive interactions and experiences. -NL-  Design and development of POC for existing poor performance -NL- log files parser by using Hadoop Map-Reducer Technology. -NL-  Hadoop Map-Reducer based application design and -NL- development for generate URL categorization report from -NL- dedicated secure DNS-Resolver query logs (50 gb/day) for -NL- analysis by customer. -NL-  CronTab scheduler implementation for dns-resolver query log -NL- files copy to hadoop HDFS location and hadoop reports -NL- generation application execution. -NL-  Technologies worked Struts, Memcache, Velocity, SSO, -NL- Hadoop, L10N, and Tomcat. -NL- Device Proximity: Track the paired devices in/out house to avoid -NL- loss of mobile devices in a bounded zone (~10m) and notify the -NL- Lat/Long and distance if the devices goes out of the defined area. -NL- Role: Research and Development -NL- 3 -NL- Fullstack Java Web Developer -NL-  Design and development of POC by using the concepts of -NL- Signal strength, Geo location and Sounds, for Android Mobile. -NL-  Implementation of the Idea in various approaches available in -NL- Android Phone. -NL- o Bluetooth RSSI (Radio Signal Strength Indicator) -NL- o Mobile Cell Tower Geo Location (using CellID, -NL- LocationAccessCode, MoblieCountryCode, MobileNetworkCode) -NL- o Bluetooth Keep Alive Ping Message – between paired -NL- devices. -NL- o GPS Location Access -NL- o Ultrasonic Sound Wave -NL- 05/2010 – 10/2012 **`HCL Technologies Ltd`[EMPLOYER_COMPANY_NAME]**, Chennai, India -NL- **`Member Technical Staff`[EMPLOYER_ROLE]** (Permanent) -NL- KTGEM: (KT-Generic Model for Communications and Control of -NL- Manufacturing Equipment) PROTOCOL to establish the -NL- communication connection between Intelligent Host Machine and -NL- Wafer inspection Equipment Tool of SEMI-Conductor -NL- manufacturing industry. -NL- Role: Java-J2ee Application Developer -NL-  Development of High Speed Messaging Service (HSMS) -NL- cluster binary protocol based on E-37 standard for -NL- communicates between Host Machine and GEM service. -NL-  Development of SEMI Equipment Communications -NL- Standard (SECS) message support between Host and GEM -NL- service based on E-05 standards. -NL-  Customization of Log4j Source code to support existing -NL- Logger service. -NL-  Implementation of Binary protocol to Business object layer -NL- using Apache Mina NIO (Acceptor, Connector, Decoder -NL- and Encoder). -NL-  Business -NL-  Development of Generic Equipment Model (GEM) based -NL- on E-30 standard. -NL-  Implementation of equipment machine states using Apache -NL- Mina State Machine. -NL-  Development of GEM 360 Monitor tool using Eclipse -NL- RCP. -NL-  Development of communication service between GEM and -NL- Equipment using ActiveMQ (JMS) service. -NL-  Team mentor for adopt the advanced Java technologies -NL- (ActiveMQ, JMS, Mina-NIO, Mina StateMachine, Eclipse -NL- RCP) -NL-  Preparing build script using Apache Ant. -NL- BINE: (Billing Is Now Easy) – An automation system for tracking -NL- the project resources and billing details of ODC Business Unit. -NL- 4 -NL- Fullstack Java Web Developer -NL- Role: Product ownership including all SDLC -NL- - Completed experience in Full SDLC of the project. -NL- - Design of 3-tier architecture includes Adobe Flex Air Client, -NL- Apache Tomcat Web Server, and Mysql Database Server. -NL- - Lead the Team of three resources. -NL- - Interaction with Project Team, Accounting Team, and -NL- Management Team. -NL- - Design of User Interfaces with Adobe Flex, Action Script, and -NL- Cairngorm Framework. -NL- - Design and development of middle-tier server application with -NL- Servlet Front Controller, Command Pattern, Observer Pattern, -NL- Delegation Pattern, Jdbc Connection Pooling, and Log4j. -NL- - Working with JSON for client – server data communication -NL- over the TCP/IP connection. -NL- - Billing report implementation to download in various forms as -NL- Excel and Html using Apache Velocity. -NL- - Customizable roles/experienced based billing rate management -NL- implementation by Spring-IOC. -NL- - Involvement of requirement gathering, time estimation, -NL- implementations, deliverables and maintenance of application. -NL- KT9x: Online web application software for wafer’s defect -NL- inspection analysis software solution to the global wide -NL- semiconductor sector for yield management. -NL- Role: Java-J2ee Application Developer -NL-  Development of feature enhancement and addressing of -NL- customer-end escalation. -NL-  Working in Analysis Report service has implemented using -NL- ActiveMQ(JSM) -NL-  Designing of User Interfaces using Java Swing and Jsp. -NL- 05/2009 - 04/2010 **`Technify`[EMPLOYER_COMPANY_NAME]**, Chennai, India -NL- **`Software Developer`[EMPLOYER_ROLE]** (Permanent) -NL- WebBooks: (WebBooks=QuickBooks in pocket) Business owners -NL- can complete their transactions in the field. View, add and edit -NL- customers, create estimates, invoices, sales receipts, accept -NL- payment by cash check or credit card, email a pdf to client from the -NL- iphone, and write back to QuickBooks desktop (2006+, -NL- Pro/Pre/Ent) over the air. -NL- Role: Java/J2ee Application Developer for QuickBooks -NL-  Interaction with US team for product requirement, deliverables -NL- and supports. -NL-  Design and development of the QuickBooks data access -NL- functionally. -NL-  Extended the SAX parser for support all the QuickBooks -NL- QBXML request and response. -NL- 5 -NL- Fullstack Java Web Developer -NL-  QuickBooks to Cloud server and vice verse data -NL- synchronization service implementation using Quartz -NL- scheduler. -NL-  PDF document generation implementation for -NL- Estimate/Invoice/Bills/etc using iText api. -NL- Opcenter Viewer: Up to the time critical financial and customer -NL- data for the Business Owner, securely and automatically pushed -NL- from QuickBooks on your desktop to your iPhone anywhere - -NL- anytime on/off line -NL- Role: Java-J2ee Application Developer for QuickBooks -NL-  Implementation of the POC for QuickBooks desktop data on -NL- web cloud for iPhone. -NL-  Implementation of QuickBooks data (Items, Tax, Customer, -NL- Sales Receipt, Invoice, Bills, Payments, Bank deposit and etc) -NL- push to Opcenter Viewer Could System using HTTP Socket -NL- communication. -NL-  Expose the Restful web service for iPhone QuickBooks Viewer -NL- in Opcenter Viewer cloud server. -NL-  Development of Java communication connection with -NL- QuickBooks using QBXML and JACOB API. -NL-  Development of QuickBooks to Cloud server data pushes -NL- service using Quartz scheduler. -NL-  Reverse Engineer approach implementation for QuickBooks -NL- application Opcenter Viewer. -NL- **`Personal Details`[PERSONAL_DETAILS_HEADING]** -NL- Date of birth : 06th June 1985 -NL- Father Name : Annamalai. C -NL- Language proficiency : English and Tamil -NL- Address : #494, Vanniyanviduthi, -NL- Arayapatti (post), -NL- Alangudi (talk), -NL- Pudukkottai-614622, -NL- TamilNadu, -NL- India. -NL- **`Declaration`[OTHERS_HEADING]** -NL- I hereby declare that the above-mentioned details are true to the best of my knowledge. -NL- Place: Chennai. -NL- Yours sincerely, -NL- Date: -NL- Vijayan.A -NL- 6 -NL- 